Commit 44852491 authored by Jaswant Panchumarti's avatar Jaswant Panchumarti Committed by Kitware Robot
Browse files

Merge topic 'uncomment-compat-version'

5953ccfb

 Uncomment Compatibility Version In ParaView State
Acked-by: Kitware Robot's avatarKitware Robot <kwrobot@kitware.com>
Acked-by: Cory Quammen's avatarCory Quammen <cory.quammen@kitware.com>
Merge-request: !5533
parents 3464a972 5953ccfb
## Set Compatilibtiy Version In State File
ParaView now includes the backward compatibility version
for the state files (`*.py`).
......@@ -159,10 +159,9 @@ def get_state(options=None, source_set=[], filter=None, raw=False,
trace = smtrace.TraceOutput()
if preamble is None:
trace.append("# state file generated using %s" % simple.GetParaViewSourceVersion())
trace.append("\n# uncomment the following three lines to ensure this script works in future versions")
trace.append("#import paraview")
trace.append("#paraview.compatibility.major = %d" % sm.vtkSMProxyManager.GetVersionMajor())
trace.append("#paraview.compatibility.minor = %d" % sm.vtkSMProxyManager.GetVersionMinor())
trace.append("import paraview")
trace.append("paraview.compatibility.major = %d" % sm.vtkSMProxyManager.GetVersionMajor())
trace.append("paraview.compatibility.minor = %d" % sm.vtkSMProxyManager.GetVersionMinor())
elif preamble:
trace.append(preamble)
trace.append_separated(smtrace.get_current_trace_output_and_reset(raw=True))
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment